<?xml version="1.0"?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="HP.CSI.InstallReportUploader.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
            <section name="HPUServiceApp.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
        </sectionGroup>
        <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog"/>    
    </configSections>
  <nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <targets async="true">
      <target name="main" xsi:type="File"
              layout="[${longdate}] - ${level} : ${logger} - ${message}${onexception:inner=${newline}!!!!!!!!!!!!!!!!!!!${newline}${exception:format=type,message,method,stacktrace:maxInnerExceptionLevel=5:innerFormat=shortType,message,method,stacktrace}${newline}${stacktrace}${newline}!!!!!!!!!!!!!!!!!!!}"
              header="${newline}*************************** Started ${processname} - ${longdate} ***************************${newline}"
              footer="${newline}########################### Finished ${processname} - ${longdate} ##########################${newline}"
              fileName="${tempdir}/hpbcsi_iru.log" >
      </target>
    </targets>

    <rules>
      <logger name="*" minlevel="Info" writeTo="main"/>
    </rules>

  </nlog>
  <system.serviceModel>
        <bindings/>
        <client/>
    </system.serviceModel>
    <applicationSettings>
        <HP.CSI.InstallReportUploader.Properties.Settings>
            <setting name="InstallReportUploader_HPUCCatalogService_CCatalogService"
                serializeAs="String">
                <value>http://h20261.www2.hp.com/ediags/packagecatalog2/catalog.asmx</value>
            </setting>
            <setting name="InstallReportUploader_HPUFileTransferService_FileTransferService"
                serializeAs="String">
                <value>http://h20261.www2.hp.com/ediags/filetransferservice/transfer.asmx</value>
            </setting>
          <setting name="InstallReportUploader_HPUFileTransferService_FileUploadService"
                serializeAs="String">
            <value>http://h20270.www2.hp.com/ediags/FileTransferService/Upload/</value>
          </setting>
        </HP.CSI.InstallReportUploader.Properties.Settings>
    </applicationSettings>
    <startup>
      <supportedRuntime version="v2.0.50727"/>
      <supportedRuntime version="v4.0" />
    </startup>
</configuration>
